﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h2>
        Account Summary
    </h2>
    <p>
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
            DataSourceID="LinqDataSource1">
            <Fields>
                <asp:BoundField DataField="acno" HeaderText="Account Number :" ReadOnly="True" 
                    SortExpression="acno" />
                <asp:BoundField DataField="ahname" HeaderText="Account Holder Name :" 
                    ReadOnly="True" SortExpression="ahname" />
                <asp:BoundField DataField="balance" HeaderText="Current Balance :" 
                    ReadOnly="True" SortExpression="balance" />
            </Fields>
        </asp:DetailsView>
    </p>
    <p>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="BankDataContext" Select="new (acno, ahname, balance)" 
            TableName="Accounts" Where="acno == @acno">
            <WhereParameters>
                <asp:SessionParameter Name="acno" SessionField="acno" Type="Int32" />
            </WhereParameters>
        </asp:LinqDataSource>
    </p>
    <h3>
        Recent Transactions
    </h3>
    <p>
        <asp:GridView ID="GridView1" runat="server" Width="100%" 
            AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="Trandate" HeaderText="Tran Date">
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
                <asp:BoundField DataField="deposit" DataFormatString="{0:F2}" 
                    HeaderText="Deposit">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="withdraw" HeaderText="Withdraw" DataFormatString="{0:F2}" >
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="chequeno" HeaderText="Cheque No." />
                <asp:BoundField DataField="remarks" HeaderText="Remarks" />
            </Columns>
        </asp:GridView>
    </p>
</asp:Content>

