﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Data.Linq;

using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class cbrequest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        BankDataContext bdc = new BankDataContext();
        // check whether acno is already present in CBREQUESTS
        var  cb = (from  c   in bdc.CBRequests
                       where  c.acno ==  (Int32) Session["acno"]
                       select  c ).SingleOrDefault ();
        if (cb == null)
        {
            CBRequest cbr = new CBRequest();
            cbr.acno = Int32.Parse(Session["acno"].ToString());
            cbr.nocheques = Int32.Parse(ddlNoCheques.SelectedValue);
            cbr.reqdate = DateTime.Now;
            bdc.CBRequests.InsertOnSubmit(cbr);
            bdc.SubmitChanges();
            lblMsg.Text = "Request Accepted. Cheuqe book will be posted in the next 7 working days!";
       }
        else
            lblMsg.Text = "Sorry! A request with your account number is pending. ";

    }
}
